Bug 250372 - kernel >= kernel-2.6.20-1.2962.fc6: kernel panic on boot
kernel >= kernel-2.6.20-1.2962.fc6: kernel panic on boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 02:22 EDT by Vince Schiavoni
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.22.1-32.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-04 21:09:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vince Schiavoni 2007-08-01 02:22:34 EDT
Description of problem:
For kernels kernel-2.6.20-1.2962.fc6 and kernel-2.6.22.1-29.fc6, I get the
following fatal errors on boot:
[...]
Mounting root filesystem
EXT3-fs: Unrecognized mount option "nouser" or missing value
mount: error mounting /dev/root on /sysroot as ext3: Invalid arguement
Setting up other filesystems
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Switching to new root and running init
unmounting old /dev
unmounting old /proc
unmounting old /sys
Switchroot: mount failed: No such file or directory
Kernel panic - not syncing: Attempting to kill init!
[END]

The system is locked up at that point and requires a hard reboot.

My current /etc/fstab:
/dev/VolGroup00/LogVol00        /       ext3    defaults        1 1
LABEL=/boot     /boot   ext3    defaults        1 1
devpts  /dev/pts        devpts  gid=5,mode=620  0 0
tmpfs   /dev/shm        tmpfs   defaults        0 0
proc    /proc   proc    defaults        0 0
sysfs   /sys    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01        swap    swap    defaults        0 0
/dev/sda1       /mnt/c_drive    ntfs-3g rw,defaults,umask=022   0 0
/dev/hda        /media/disk     auto    users,atime,auto,rw,dev,exec,suid      0 1

I have tried various changes to the mount options: replacing "defaults" with
"rw,suid,dev,exec,auto,nouser,async", both with and without "nouser", with no
change in the results.  No such errors exist with my currently running kernel
kernel-2.6.20-1.2952.fc6.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2962.fc6
kernel-2.6.22.1-29.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Install kernel kernel-2.6.20-1.2962.fc6 and/or kernel-2.6.22.1-29.fc6;
2. reboot computer;
3. observe meltdown.
  
Actual results:
kernel panic: system locked up, hard reboot required.

Expected results:
Normal boot as with kernel =< kernel-2.6.20-1.2952.fc6

Additional info:
Reference: Bug #145186 and Bug #187664
uname -a: Linux presario.localdomain 2.6.20-1.2952.fc6 #1 SMP Wed May 16
18:59:18 EDT 2007 i686 athlon i386 GNU/Linux
Compaq Presario SR2020NX, AMD Athlon 64 3500+ (~2.2GHz), nvidia GeForce 6150 LE
graphics
Smolt Profile:
http://smolt.fedoraproject.org/show?UUID=02d04cb7-5a0e-4b31-8f1f-7be6f2d85507
Comment 1 Vince Schiavoni 2007-08-04 06:14:49 EDT
Update: just installed kernel kernel-2.6.22.1-32.fc6 a few hours ago, and it
booted OK (not flawlessly, but a successful boot with no kernel panic) on the
first try.  However you wish to resolve this bug is of course your prerogative,
but I would prefer that you do NOT close it as "NOTABUG".

Thanx and Regards,
Vince Schiavoni
Comment 2 Jarod Wilson 2007-08-04 21:09:15 EDT
Nope, in this case, we CLOSE->CURRENTRELEASE, kernel-2.6.22.1-32.fc6. :)
Comment 3 giovanni tosti 2007-08-18 05:32:38 EDT
Same problem happened to me with kernel 2.6.22.1-32
Description
After updating my FC6 from kernel 2.6.20-1.2962 it was impossible to boot with
new kernel.
unable to access resume device (/dev/VolGroup00/LogVol01)

booting without quiet option in grub.conf I got

Trying to resume device (/dev/VolGroup00/LogVol01)
creating root device
mounting root filesystem
mount: colud not find filesystem /dev/root
setting up other filesystems
setting up new root fs
setuproot: moving /dev failed: no such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: no such file or directory
setuproot: error mounting /sys: no such file or directory
switching to new root and running init
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: no such file or directory
Kernel panic - no syncing: attempt to kill init!

During the update process a defective initrd-2.6.22.1-32.fc6.img was created.
Replacing in my /boot the defective file with a fresh initrd-2.6.22.1-32.fc6.img
from my laptop with a working kernel 2.6.22.1-32 solved the issue in my desktop.
Comment 4 Russell Weatherburn 2007-08-20 03:36:28 EDT
This is still occuring when updating with yum.  I don't believe it should be 
closed as fixed.
Comment 5 Chuck Ebbert 2007-08-20 15:11:36 EDT
(In reply to comment #4)
> This is still occuring when updating with yum.  I don't believe it should be 
> closed as fixed.

There were several bugs in the 2.6.22 update, all should be fixed now in 2.6.22.2-42

Note You need to log in before you can comment on or make changes to this bug.